searchNodes=[{"doc":"Use Vishay ambient light sensor VEML7700 in Elixir.","ref":"VEML7700.html","title":"VEML7700","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"VEML7700.html#child_spec/1","title":"VEML7700.child_spec/1","type":"function"},{"doc":"Get the ambient light settings.","ref":"VEML7700.html#get_als_config/1","title":"VEML7700.get_als_config/1","type":"function"},{"doc":"Measure the current light. An error is returned if the I2C transactions fail.","ref":"VEML7700.html#measure/1","title":"VEML7700.measure/1","type":"function"},{"doc":"Set the ambient light settings.","ref":"VEML7700.html#set_als_config/2","title":"VEML7700.set_als_config/2","type":"function"},{"doc":"Start a new GenServer for interacting with a VEML7700.","ref":"VEML7700.html#start_link/1","title":"VEML7700.start_link/1","type":"function"},{"doc":"Ambient light gain setting. See https://learn.sparkfun.com/tutorials/qwiic-ambient-light-sensor-veml6030-hookup-guide","ref":"VEML7700.html#t:als_gain/0","title":"VEML7700.als_gain/0","type":"type"},{"doc":"Ambient light integration time setting. Longer time has higher sensitivity. See https://learn.sparkfun.com/tutorials/qwiic-ambient-light-sensor-veml6030-hookup-guide","ref":"VEML7700.html#t:als_integration_time/0","title":"VEML7700.als_integration_time/0","type":"type"},{"doc":"VEML7700 GenServer start_link options :name - a name for the GenServer :bus_name - which I2C bus to use (e.g., &quot;i2c-1&quot; ) :bus_address - the address of the VEML7700 (defaults to 0x10 ) :retries - the number of retries before failing (defaults to no retries) :als_gain - ambient light gain setting (defaults to :als_gain_1_4 ) :als_integration_time - ambient light integration time setting (defaults to :als_100ms )","ref":"VEML7700.html#t:option/0","title":"VEML7700.option/0","type":"type"},{"doc":"One sensor measurement report.","ref":"VEML7700.Measurement.html","title":"VEML7700.Measurement","type":"module"},{"doc":"","ref":"VEML7700.Measurement.html#new/2","title":"VEML7700.Measurement.new/2","type":"function"},{"doc":"","ref":"VEML7700.Measurement.html#t:t/0","title":"VEML7700.Measurement.t/0","type":"type"},{"doc":"Use Vishay ambient light sensor VEML7700 in Elixir.","ref":"readme.html","title":"VEML7700","type":"extras"},{"doc":"Here's an example use. VEML7700 sensors are at address 0x10 ; VEML6030 typically at 0x48 . iex&gt; { :ok , veml } = VEML7700 . start_link ( bus_name : &quot;i2c-1&quot; , bus_address : 0x10 ) { :ok , # PID &lt; 0 . 2190 . 0 &gt; } iex&gt; VEML7700 . get_als_config ( veml ) { :ok , { [ :als_gain_1_4 , :als_100ms , :als_persistence_1 , :als_interrupt_disable , :als_shutdown ] , 0.2304 } } iex&gt; VEML7700 . set_als_config ( veml , [ :als_gain_1 , :als_200ms , :als_power_on ] ) { :ok , { [ :als_gain_1 , :als_200ms , :als_persistence_1 , :als_interrupt_disable , :als_power_on ] , 0.0288 } } iex&gt; VEML7700 . measure ( veml ) { :ok , % VEML7700.Measurement { light_lux : 9.9072 , timestamp_ms : 284622415448 } } } } For details, see API reference .","ref":"readme.html#usage","title":"VEML7700 - Usage","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"First release","ref":"changelog.html#v0-1-0-2023-05-07","title":"Changelog - v0.1.0 (2023-05-07)","type":"extras"}]